summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-20 06:20:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-20 06:20:25 +0000
commitd6d5cdb36d6fdf5dcf9f512fa57113bf6c7c8138 (patch)
tree1cf3e683133650f6981b1dd31b978156ccfcd4c7 /dev-python
parentfaffacf292934df5249d211d9af9e8b1dcbd4942 (diff)
downloadbaldeagleos-repo-d6d5cdb36d6fdf5dcf9f512fa57113bf6c7c8138.tar.gz
baldeagleos-repo-d6d5cdb36d6fdf5dcf9f512fa57113bf6c7c8138.tar.xz
baldeagleos-repo-d6d5cdb36d6fdf5dcf9f512fa57113bf6c7c8138.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.53.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.53.ebuild74
-rw-r--r--dev-python/bottleneck/Manifest1
-rw-r--r--dev-python/bottleneck/bottleneck-1.3.6.ebuild44
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2023.1.0.ebuild67
-rw-r--r--dev-python/jaraco-context/Manifest1
-rw-r--r--dev-python/jaraco-context/jaraco-context-4.3.0.ebuild48
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.0.6.ebuild53
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/Manifest1
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.2.ebuild24
-rw-r--r--dev-python/nbsphinx/Manifest1
-rw-r--r--dev-python/nbsphinx/nbsphinx-0.8.12.ebuild29
-rw-r--r--dev-python/pyproj/files/pyproj-3.4.0-proj-9.1.patch54
-rw-r--r--dev-python/pyproject-fmt/Manifest1
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-0.5.0.ebuild38
-rw-r--r--dev-python/rich/Manifest1
-rw-r--r--dev-python/rich/rich-13.2.0.ebuild52
-rw-r--r--dev-python/scikit-build/Manifest1
-rw-r--r--dev-python/scikit-build/scikit-build-0.16.5.ebuild68
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.5.ebuild44
-rw-r--r--dev-python/trove-classifiers/Manifest1
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2023.1.20.ebuild34
27 files changed, 656 insertions, 54 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 5d2a401855cb..3e5153b2a37f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.26.45.gh.tar.gz 587548 BLAKE2B fca56cad5fa8bf3bfa34f76aa7014d6ee1129653ec8f0b2c0bb0c2b250814d855e732c4ea4252435a1674138ff00e757cec706ac1a1daa8f6e7969d7f0b65811 SHA512 e872efdc764d20b8d264d7a7e984d9427a0f5bd0a78d895812c2e40a4cf97ba0c483129492b5fe698ac8e123a3a23d6fde4e92cc075632ec7b9d0ed55d0b57b4
DIST boto3-1.26.50.gh.tar.gz 589841 BLAKE2B 98808cc2811f6371152b75424abe7da24230beb9caa4fcb62c273c232998fa1bbd4195d47e173c181f6b77cd95c6d90e21dc6126d65a0ce5453244cc03a5a12f SHA512 d4a8fd68c7fa099009e491f697ce3089a7f9d54433d25aa76d2733facde82f62f3955efc8ea5156dabce9502a2912847d45f7e1ab5dc71c1db26ca5d2b4ae220
DIST boto3-1.26.52.gh.tar.gz 590511 BLAKE2B be56b8dd5cb919e042860ab5d80727edb9e4baa50def10e150d8472808614c9b6665e86afd5481476ea37073aaf9f444bd19e107ddb6d3675b1bd0220d451866 SHA512 6e793e19f3632137db8d40889462f793f7c4f54bd41a1e50dc892abd1539a512c19efc86fa0b7364c646f08b563919c7673c6cdf1f5279f330f556ba347c1091
+DIST boto3-1.26.53.gh.tar.gz 592023 BLAKE2B 07f09144913b7506dcb790e9a72adacecafdfb80fd22805c0cb4c91d07f147bd76b29a6008b12402449469334e059ab3fd7dff189f6122714077ea6d153999f5 SHA512 c555d769e89234670db1b87e0b5ff90c1b18315c6083e3ed286ce016a756424ef84a928103fa85d36d294b6f44854799f52a12f6633456e79e409547b37952cf
diff --git a/dev-python/boto3/boto3-1.26.53.ebuild b/dev-python/boto3/boto3-1.26.53.ebuild
new file mode 100644
index 000000000000..9523f65d5fb9
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.53.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index e34916e39b26..8145ec4aaca5 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.29.45.gh.tar.gz 11090136 BLAKE2B 4c5cbd6e80a061793276b40124124c6c8e8c0d9f5bfbe4d5089d755b7af8399635107ed94da6602b2d0788159c1d883b7821db989fe47ad02bcf8bbaa7784b08 SHA512 dfbbc2b30449fa7526794489d3f0c3951e81ddbf53d7915d4492697398febd3b4b918604054a85c950c26a2423e969042de395b8b513688dcf8ad3fe305df4f7
DIST botocore-1.29.50.gh.tar.gz 11116392 BLAKE2B a9d12740ea927b6331b8593b9d7ae2af51feb4df740f8e9e260372d601791aebd699f569d6a3d6041f9c8ecb852a2493f872148aca5120a01c5773148e42a960 SHA512 3661a3b3a5bba8be0d14d24ec85d50fea0d2001721871be84c13396a8f7244797e24b6b1de46e8b9d903c76312f939b122c206ec4f8dcac0b76e8d77b59198cf
DIST botocore-1.29.52.gh.tar.gz 11118743 BLAKE2B b0e87bd7387154d7502f9e1f7d16842db18d3bdea831ffe178f8a2642a973643b2a6ab36260ca8bd1800144f3e7c1473fc0912b1e439df20703c2ee128233f15 SHA512 c7acf1bee61b76ccf74a6d85657911d76c41d7bbb48eac2a22ca0fc5f6efbe196b833c76659094acccde332e15cdec7e291a34ee0df7d7683cabc6f591634af0
+DIST botocore-1.29.53.gh.tar.gz 11124794 BLAKE2B 0d5fd0a4e9ffb0d077cf740df604b1f6536e58e18079e4051da16cb07f2c383e2e19c9aada45cc13b347f696ee5cc89073a8bc2b38aadfff4693c933afcf7941 SHA512 ad3003bddb51ec6099799fe87ccc37392815dbdb83ee9fb772ea90ce779f066f593e1e9450f67f0a4aa487c97f98f47f361e1a9368e8e933f302fad026bcbde4
diff --git a/dev-python/botocore/botocore-1.29.53.ebuild b/dev-python/botocore/botocore-1.29.53.ebuild
new file mode 100644
index 000000000000..0f4daaa48e81
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.53.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/bottleneck/Manifest b/dev-python/bottleneck/Manifest
index 354f8498053b..315fda104cfa 100644
--- a/dev-python/bottleneck/Manifest
+++ b/dev-python/bottleneck/Manifest
@@ -1 +1,2 @@
DIST bottleneck-1.3.5.gh.tar.gz 118989 BLAKE2B 5b9338a77cb3f0253348f45e641dca9fce11b50fb632e697272203870dd604730c08f1adc94ebf9c6c21f551e3f06b5492bcb036d6f40eaec8853d08ca298873 SHA512 9a0f224337fd9d5c741a1e469197be26923eaffb143eddfe0969128ddc233c799da6a5f2ba4ef22f6267cf93e7f748c140fbb16f57149ad327c47fe87ffc3346
+DIST bottleneck-1.3.6.gh.tar.gz 119180 BLAKE2B 8ba4ccb260731b1583eb62249fa0bdf8d25b96c978f5ff91003aaf965b0f5f5d000fb2a049f70e86266ebeb6e748cadd8e7d0ccafad1ed1a50f6aba18452c97a SHA512 0c0af2ee5ca77f86f855800748a4ce4c0fe85f9da445aeeaaffabdcdc0e2c47b18c5590b208cb8aed52d4ec4a1aa9c023588d11d1c5aa581e2c00d3d4c1ba73c
diff --git a/dev-python/bottleneck/bottleneck-1.3.6.ebuild b/dev-python/bottleneck/bottleneck-1.3.6.ebuild
new file mode 100644
index 000000000000..f42890c2c6b4
--- /dev/null
+++ b/dev-python/bottleneck/bottleneck-1.3.6.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fast NumPy array functions written in C"
+HOMEPAGE="
+ https://github.com/pydata/bottleneck/
+ https://pypi.org/project/Bottleneck/
+"
+SRC_URI="
+ https://github.com/pydata/bottleneck/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/numpy-1.9.1[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # don't overwrites user's optimization level
+ sed -e '/extra_compile_args=\["-O2"\]/d' -i setup.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest
+}
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 0d77e4b7fede..0a260557eeee 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2022.11.0.gh.tar.gz 341250 BLAKE2B 690528af9882cc8a23f78d215efbeb4f9c9f6f0a04f6a0a6f75d55a5ed8f84f92f988824921f2b26cc4cc0e7a6406d322affe65c9cd99cba7bbe4a6c01ed3382 SHA512 b52af1da0afbc686d288954ac596d9dae23c393c457fcc5ab6a11c7bd8d6a20fa1f631e1837f1d0054534a9a1231afb0cb6f8f899cf169789146309f03699e75
+DIST filesystem_spec-2023.1.0.gh.tar.gz 346962 BLAKE2B debabc938d2725b0c6e0a5aabdd6033a14655799a0b4ed98f171cdb3761dea6f3f85b63c91ca5461341e75c50aef53e4d09c6ac3582020247382c5e39a8d4791 SHA512 181e5dfc05ba664d9464246b2398c70a0bad3f274dab462a2432eae24ecf3307c49af46674f8222fac87964fbf3666bb7ad9e709484dc959b0333447b9a82a2b
diff --git a/dev-python/fsspec/fsspec-2023.1.0.ebuild b/dev-python/fsspec/fsspec-2023.1.0.ebuild
new file mode 100644
index 000000000000..1c423a1f2303
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2023.1.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+ fsspec/tests/test_spec.py::test_find
+ # requires s3fs
+ fsspec/implementations/tests/test_local.py::test_urlpath_inference_errors
+ fsspec/tests/test_core.py::test_mismatch
+ # requires pyarrow, fastparquet
+ fsspec/implementations/tests/test_reference.py::test_df_single
+ fsspec/implementations/tests/test_reference.py::test_df_multi
+ # bad test, fails when PWD contains dots...
+ # https://github.com/fsspec/filesystem_spec/issues/1161
+ fsspec/implementations/tests/test_local.py::test_make_path_posix
+)
+
+EPYTEST_IGNORE=(
+ # sftp and smb require server started via docker
+ fsspec/implementations/tests/test_dbfs.py
+ fsspec/implementations/tests/test_sftp.py
+ fsspec/implementations/tests/test_smb.py
+ # unhappy about dev-python/fuse-python (?)
+ fsspec/tests/test_fuse.py
+)
diff --git a/dev-python/jaraco-context/Manifest b/dev-python/jaraco-context/Manifest
index 6dab660843ca..b104febc0253 100644
--- a/dev-python/jaraco-context/Manifest
+++ b/dev-python/jaraco-context/Manifest
@@ -1,2 +1,3 @@
DIST jaraco.context-4.2.0.tar.gz 9308 BLAKE2B 047474e325846a5e01407cd5c6c64da4f7185d3a26b3664f06e3ca76bdb5989fd741a62ab32a667d56a80a4280824e8614cc64a27aa45f97f81d93c344f06f31 SHA512 829284682ead392ae7620c1881e89b7091e7ddc7c1d293c05792f7ce4276a5745554598a222a52ed93a7b2b401d20f3d066cfd32de65ad2f0f3c8c5f5cd2c75a
DIST jaraco.context-4.2.1.tar.gz 9526 BLAKE2B f4543528ac24ed0005955cee49b1e4723b6d6240125eda3b6f58307a22180df41ed90069328e8e0efe460040dbadd2948d3728ccf2c01953b7e5d6bfb43e378d SHA512 34b4a051e4a50c24313bee4b80106cc5b3bb71cafc4b2eb4e8cf061b270f5ccf0ff550b58d7b05d7407f2cd7aa8ec4baf113de6dcd064d91e3f2619c5e0ce284
+DIST jaraco.context-4.3.0.tar.gz 9764 BLAKE2B 2905723ec54c6ae63b2088d677cd486dcdc06dfea06bb058eeb512da508b2ae74990894cb62f3751321cb4c813b66ffe9a3084b21eb0cb4236a9515969432dfc SHA512 8882229fa1a68f2733ec4103fbeaf47625b19790f4461ab18df4c1f1a99d4d26d10d7381ab68ba5df48616a1fdb2d5e4a767496a0e40658fd011ed9cd39255de
diff --git a/dev-python/jaraco-context/jaraco-context-4.3.0.ebuild b/dev-python/jaraco-context/jaraco-context-4.3.0.ebuild
new file mode 100644
index 000000000000..29f89404ac6e
--- /dev/null
+++ b/dev-python/jaraco-context/jaraco-context-4.3.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Context managers by jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.context/
+ https://pypi.org/project/jaraco.context/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/.}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "jaraco.context"
+ version = "${PV}"
+ description = "Context managers by jaraco"
+ EOF
+}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}context-${PV}.dist-info || die
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 90681861b3dc..f67b6b54eb23 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -4,3 +4,4 @@ DIST mkdocs-material-9.0.2.gh.tar.gz 10585323 BLAKE2B 2dec935eddcd3865709f9d571a
DIST mkdocs-material-9.0.3.gh.tar.gz 10587701 BLAKE2B 35fce28b42346cc2ce208cd3ea5d89437a65b0ebbb8bde2eaae278b5fa7da222a025f34cbf8b3212da206616945ce57ce23d9b2061f216f5b2bcde9e23c96989 SHA512 dd81508dd7784318ba0cebb2254891bcddc6283d5a45c04d956c5dca4e993d57e2059aa9f0dee5667889673515c1af2681fe907b92aebe18f69483023fd0d6d3
DIST mkdocs-material-9.0.4.gh.tar.gz 10589697 BLAKE2B 4840b4eb98b1fd8ba80fbc2b2ac069abefc833d44dbeeb0d600c4bd4bf8f943dfd1e3fa1dc59fb5c3eab26b80c1912db54ca47ff066226c534b011dfc60d01d5 SHA512 f7d9baa23fa086d4f916ed52c94c80630102b4fadb6cd4885bd940b4783242539fcb406002ec3c44deacadca5a4f829af0febf66c180857ec01a5f7e241cee25
DIST mkdocs-material-9.0.5.gh.tar.gz 10898510 BLAKE2B d5c6f10db280e6aa9dc1c1d761d831d6b872586c42c7ba0882a9a0a849919fc85da84c7ed46b8d77fd7f17d65cd0ffa967afb008643b76a8b51d36d5bbaa60d3 SHA512 530ce10a457b9f8726dcaad7e602b30338604fef644a885b7aa15f68107921b5a0be714a274771e96f7b9127eb386d926d412be71634283d7f803d56be1977d1
+DIST mkdocs-material-9.0.6.gh.tar.gz 10898851 BLAKE2B 332903d2acd90f5b979536ab518ca403f26762dcd9b1fc9220b079b400ac1c688556b98e83dc5da321bb6ac73e7ba475179225e88c48495bd85e0e8e81cb02ab SHA512 6a6e51cb3a56c660d1e66613b98db916d9db81108894c04e67cb0267ac79e25c8dccd1d5587814984b1c9a6b87b06bd9d796ac0f613eca69399f1d575dfb41d3
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.0.6.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.0.6.ebuild
new file mode 100644
index 000000000000..337292f9ec4a
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.0.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mkdocs_pymdownx_material_extras/Manifest b/dev-python/mkdocs_pymdownx_material_extras/Manifest
index 248410debf83..bfa4dc082f1e 100644
--- a/dev-python/mkdocs_pymdownx_material_extras/Manifest
+++ b/dev-python/mkdocs_pymdownx_material_extras/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs_pymdownx_material_extras-2.3.1.tar.gz 24640 BLAKE2B a6637991494a0042bdc65a65822b84066efa774890d13079c87667fdfeadafa439a92bddeebad1234be8d10d60a1e4bcb76c2ff693e305c6ae37e846958eb810 SHA512 bfc213de818d0a82786de2c55d35d90fa80f107efdff2aa12ef5a96ec77d2bfb7d1e0e9115e930a29440cfba49fbe3a3a429dba2fb5c993878268d8a85b6ceba
DIST mkdocs_pymdownx_material_extras-2.4.1.tar.gz 24229 BLAKE2B f716b37f07e5b00cf7121c2de76c5794d96649b643767d315ef0f9be98a028af178f5b370f29132bb1a388c68e07eff9ce5f88b5b745558b7d3ecd12e7c3274d SHA512 651627361affa0a3dca1ad725744deb964fab009ccfcba6f581f29379f1bd8317da511b5a3055c37761d2b8ea814121e5459eac0c175aee73cbc5e446302fdc5
+DIST mkdocs_pymdownx_material_extras-2.4.2.tar.gz 24247 BLAKE2B 1ab9bcc9c6a6f11188305d36c48773ad03d9f03cf95636f6d6eeb292d39d7cce3c4ea155caf6343b636f33dab885dd2320e2f7b12f91b5d7d03e1da1480b2ac1 SHA512 8852fab08e7dc43b005d3ebaaabaed07598751dc7dbf237a9728c1cbf8abf992403e27a515d615bbbe0b753b08a0f32aa8f18cb249b07187319c20c285fdf312
DIST mkdocs_pymdownx_material_extras-2.4.tar.gz 24171 BLAKE2B 8258e6c9566a24a614c222fb2f8e76305bd92ccd0ffbbd4b21e945a125a553ee8664d408d46a5081893e0bb8b72c5403ed2aefcdd11807301765b052e0ed29ca SHA512 002149765a30ce826b3df19c9ed659c45ee39ef0df4dfdff6ae1fdda8c88e69d6015fc3db41ee0d15229b35eefd2644dd8015a22e50db98ee45c520f95f0b04e
diff --git a/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.2.ebuild b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.2.ebuild
new file mode 100644
index 000000000000..90f8078cdfdc
--- /dev/null
+++ b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Custom alterations based on Mkdocs-Material"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs_pymdownx_material_extras/
+ https://pypi.org/project/mkdocs-pymdownx-material-extras/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-8.3.3[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/nbsphinx/Manifest b/dev-python/nbsphinx/Manifest
index ae0cc953f668..7e33eccd00ea 100644
--- a/dev-python/nbsphinx/Manifest
+++ b/dev-python/nbsphinx/Manifest
@@ -1,2 +1,3 @@
DIST nbsphinx-0.8.10.tar.gz 177352 BLAKE2B e9fce12b59afe4b364be36ecfe4abc98e9444feafd52fa647ca2832622d875f78389928961d2c53235f466c55e9e1aee8ecf9db6751dfe7d0db8d40502876459 SHA512 a010ceff90d59d3cbff7953c1c807b9ff23661e1fb2255d5af151f6a1b4a2441f7a836a4fbea5ed11eda42ca8a0eae091ffe7d87c09940480d5f4e3311bb177b
DIST nbsphinx-0.8.11.tar.gz 177598 BLAKE2B 5a8db76cdc39b19ec883f1ee58331248cc952786ffbe1a5ac75261a8258a9f36370366bf7654c6eecfdae17b324dab6ff2981c791dcdfb15cabeb0eea3b3f9ba SHA512 fb3e6d8074b639adc810ec0970e22d7f50bcadc072cacb0601bd9da3eece16c8af052360ecdd5c66b61ce4146deae10e44c3acd431073bd6086cc524b6861002
+DIST nbsphinx-0.8.12.tar.gz 178986 BLAKE2B 5f79e20be5ceb3c9458530c19f453599cff8c278d5ad56faec952cc191336469cee3ecc130bbca8cae5d14447abf544a6b127251f3ee2a26e63c94a1326b707c SHA512 fd18cde3b7034bbd0f0f5ec7addd8925e867dbe0cfe810310240e5748014f2cc6bf275ff24d070d0c8748e7d144bf3dc2e9a26ede3a50e880f3db27d1a0d0575
diff --git a/dev-python/nbsphinx/nbsphinx-0.8.12.ebuild b/dev-python/nbsphinx/nbsphinx-0.8.12.ebuild
new file mode 100644
index 000000000000..df995dc25c78
--- /dev/null
+++ b/dev-python/nbsphinx/nbsphinx-0.8.12.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter Notebook Tools for Sphinx"
+HOMEPAGE="
+ https://github.com/spatialaudio/nbsphinx/
+ https://pypi.org/project/nbsphinx/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.8[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pyproj/files/pyproj-3.4.0-proj-9.1.patch b/dev-python/pyproj/files/pyproj-3.4.0-proj-9.1.patch
deleted file mode 100644
index a2be9f58850b..000000000000
--- a/dev-python/pyproj/files/pyproj-3.4.0-proj-9.1.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-https://github.com/pyproj4/pyproj/commit/831209477286f55b6c3ac777e1df3e947cfb12be
-https://github.com/pyproj4/pyproj/commit/2c0abe3d8d2c1632751f093baf421b93f65783a8
-
-From 831209477286f55b6c3ac777e1df3e947cfb12be Mon Sep 17 00:00:00 2001
-From: "Alan D. Snow" <alansnow21@gmail.com>
-Date: Sat, 17 Sep 2022 11:23:10 -0500
-Subject: [PATCH] TST: update test_get_transform_grid_list__contains expectd
- output (#1147)
-
---- a/test/test_sync.py
-+++ b/test/test_sync.py
-@@ -82,7 +82,7 @@ def test_get_transform_grid_list__contains():
- source_ids = set()
- for grid in grids:
- source_ids.add(grid["properties"]["source_id"])
-- assert sorted(source_ids) == ["no_kv", "nz_linz"]
-+ assert sorted(source_ids) == ["nz_linz"]
-
-
- @pytest.mark.network
-
-From 2c0abe3d8d2c1632751f093baf421b93f65783a8 Mon Sep 17 00:00:00 2001
-From: "Alan D. Snow" <alansnow21@gmail.com>
-Date: Sat, 17 Sep 2022 12:06:32 -0500
-Subject: [PATCH] TST: adjust test_transformer_group__get_transform_crs for
- nl_nsgi_nlgeo2018 and PROJ 9.1 (#1148)
-
---- a/test/test_transformer.py
-+++ b/test/test_transformer.py
-@@ -695,12 +695,19 @@ def get_transformer_group():
- @pytest.mark.grid
- def test_transformer_group__get_transform_crs():
- tg = TransformerGroup("epsg:4258", "epsg:7415")
-- if not grids_available("nl_nsgi_rdtrans2018.tif"):
-- assert len(tg.transformers) == 1
-- elif PROJ_GTE_91:
-+ if grids_available(
-+ "nl_nsgi_nlgeo2018.tif", "nl_nsgi_rdtrans2018.tif", check_all=True
-+ ):
-+ if PROJ_GTE_91:
-+ assert len(tg.transformers) == 2
-+ else:
-+ assert len(tg.transformers) == 6
-+ elif not PROJ_GTE_91 and grids_available("nl_nsgi_rdtrans2018.tif"):
- assert len(tg.transformers) == 2
-+ elif not PROJ_GTE_91 and grids_available("nl_nsgi_nlgeo2018.tif"):
-+ assert len(tg.transformers) == 4
- else:
-- assert len(tg.transformers) == 6
-+ assert len(tg.transformers) == 1
-
-
- def test_transformer__area_of_interest():
-
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 1c7d4ed5f497..332e97e549a7 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -1 +1,2 @@
DIST pyproject-fmt-0.4.1.gh.tar.gz 14853 BLAKE2B e06e3602290fdc4df00fb48dfe9d6d516a623ef29eaa535ab3b11754a577385611313172f207966b121f072a5b453774afcbf5e8699a0b7fd4426f5332e48e5a SHA512 f00999470e66e7f11e9299a902b686342fbad27a07634206011ff7712c7c422f9962d8a4eeffae6a6263712620b787bbdcd78c2129cb4b164631b56a45910363
+DIST pyproject-fmt-0.5.0.gh.tar.gz 14906 BLAKE2B f75482988c8e10fbfcffaa518e6004f0e96b922e8bf929e43c7be26cf16149b3fa97a3070fabfbb90641ee3d953ab17bd854ba2e107b776f65f6bc802980bd54 SHA512 58ec7975f7c69990b1d2a0ee8a29681731d7143e59754343dc64e52e135cc5d280adf3c31b6818f042982697a7221a36aa0842ffba1ede28b57cefad77bf065c
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-0.5.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-0.5.0.ebuild
new file mode 100644
index 000000000000..ff56ac1e7389
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-0.5.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/pyproject-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI="
+ https://github.com/tox-dev/pyproject-fmt/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pytest-mock-3.8.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/rich/Manifest b/dev-python/rich/Manifest
index 20483eab9fb6..b689cc1ae157 100644
--- a/dev-python/rich/Manifest
+++ b/dev-python/rich/Manifest
@@ -2,3 +2,4 @@ DIST rich-12.6.0.gh.tar.gz 15056457 BLAKE2B 58367ef0acb61d68931ea0394ea458e29b3b
DIST rich-13.0.0.gh.tar.gz 15065008 BLAKE2B b2b323b633e6600dd1595c1769daf3659b2d7cf6f98fe91ca9e083c24bc3de9de79b27de08144ab7acaa3634cc588f1548d73536555a06f1b4832f91c978ab9a SHA512 6837aad1015318c0a017000ba60cea0b4b06e85b7fb9650e90ed87ca8dedd3bf3369c5520571661123aee099380445eefa6b30002f0290c2160540a49433bb91
DIST rich-13.0.1.gh.tar.gz 15065056 BLAKE2B 71d6418b483a88834f7fbce9d9ac8deffbf8940b32ac751503b68994ac1717c8cbede57a37fa33ba025ee6f03196a65797f934252c1658e7ca651cef759d731e SHA512 12458ceae7cc1a8796339547405df23598adbf8ac71dec42b65e0685c8725b0f183b4934c9a91690be3f54af463a91645cb595934749c0ee4ac7d1a4062cfb46
DIST rich-13.1.0.gh.tar.gz 15065402 BLAKE2B 3d23cbf20536e0d1ed9cfa6257875e49d319364f4c9696643f6fbe6da01dd30b1de639b75631fbe6ab1204e177017031bea23f3e0e07b808070068e39397664f SHA512 6a8f264e16f691f38e4094359bad46cc62d40e5118887311d91732a194100aae27da8f2b29ba21b3cf1ec46c42d3b7d4446f125421e5494725bc5095bcc36104
+DIST rich-13.2.0.gh.tar.gz 15066145 BLAKE2B 1a767de5d3b872e07e74374d956b4a3d1b6916a98846f98208f8a2e14a1c12f18fe7d85919f0b2104228fd74d25e640d446fae416a70254f7241fa726fb82802 SHA512 a3df2d3bdb35d25cad867cafad726a081d7fcba45e0b4ea2ec9aa17c28fc4d2c22f4ba1c7e3ef16fea7137c052875632b8d774895082d40804dc929021c0a2ef
diff --git a/dev-python/rich/rich-13.2.0.ebuild b/dev-python/rich/rich-13.2.0.ebuild
new file mode 100644
index 000000000000..702b860ce352
--- /dev/null
+++ b/dev-python/rich/rich-13.2.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for rendering rich text, tables, etc. to the terminal"
+HOMEPAGE="
+ https://github.com/Textualize/rich/
+ https://pypi.org/project/rich/
+"
+SRC_URI="
+ https://github.com/Textualize/rich/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ <dev-python/markdown-it-py-3[${PYTHON_USEDEP}]
+ >=dev-python/markdown-it-py-2.1.0[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_console.py::test_size_can_fall_back_to_std_descriptors
+ tests/test_inspect.py::test_inspect_integer_with_methods_python38_and_python39
+ # pygments?
+ tests/test_syntax.py::test_python_render_simple_indent_guides
+ tests/test_syntax.py::test_python_render_line_range_indent_guides
+ )
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index 89ba9abc4bb0..638d726a1eef 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -1 +1,2 @@
DIST scikit-build-0.16.4.tar.gz 271037 BLAKE2B 6cca8a3c4f4b37228b77ac098650a5eca4ad0f525ca7dcba178f4cffabb7e60e9a7bbba244e64c1a598ab5916f2f47788198eb2a19803d8d0cf7b9792f4e06e2 SHA512 90315ceac4c372e4d7248b4b56b6092362c2c43fbdc180d1a234e057209c508a05d2c6e0a3d0c2587c3adb8957e4c66d5c171a2a2bc3dbf9874a0de58d97d976
+DIST scikit-build-0.16.5.tar.gz 271974 BLAKE2B e34d44fb27975720adc4ca57a0fabc9b05260a13043b546d19bfb44fa1c60e6490c5d7bbd41494481da470e24c05c4da3eb41b26c78160a35be1e3c29f9a4ef4 SHA512 37e50b3a1fc04b6758b65a58f5d5239effbc0ab38a4a2024098b6a69eea1d7a9a388e41696176469e9c55a7c8b73ace9d7eee2daf5d0fbaefe2a3e09880ee600
diff --git a/dev-python/scikit-build/scikit-build-0.16.5.ebuild b/dev-python/scikit-build/scikit-build-0.16.5.ebuild
new file mode 100644
index 000000000000..599a95b909cb
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.16.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython extensions"
+HOMEPAGE="
+ https://github.com/scikit-build/scikit-build/
+ https://pypi.org/project/scikit-build/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/distro[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-42.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/cython-0.25.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.10.4[${PYTHON_USEDEP}]
+ >=dev-python/pytest-virtualenv-1.2.5[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+src_prepare() {
+ # not packaged
+ sed -i -e '/cmakedomain/d' docs/conf.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # sandbox violations
+ tests/test_hello_cpp.py::test_hello_develop
+ tests/test_issue274_support_default_package_dir.py
+ tests/test_issue274_support_one_package_without_package_dir.py
+ tests/test_issue334_configure_cmakelists_non_cp1252_encoding.py
+ tests/test_pep518.py
+ # This fails because of additional item setup.py in sources
+ tests/test_include_exclude_data.py::test_hello_sdist
+ tests/test_include_exclude_data.py::test_hello_sdist_with_base
+ tests/test_issue401_sdist_with_symlinks.py::test_sdist_with_symlinks
+ tests/test_manifest_in.py::test_manifest_in_sdist
+ # Wants internet to install things with pip
+ tests/test_numpy.py::test_pep518_findpython
+ # TODO
+ "tests/test_command_line.py::test_hide_listing[True-bdist_wheel]"
+ )
+ epytest
+}
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index ebad381338b9..2dff0783e2f2 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -2,3 +2,4 @@ DIST sphinx-autodoc-typehints-1.19.5.gh.tar.gz 27758 BLAKE2B f73b0afa3656949f5aa
DIST sphinx-autodoc-typehints-1.20.1.gh.tar.gz 28374 BLAKE2B 87891c5ee6b1fa76b12fd09a77c7de3e739cf95b76d0e3dd215feb585d9b07e883998c8e1a1a493230add7e8362278c750a0412d8e3d5102698e8e91e8042a4b SHA512 f8194c823c496c62dc6fa2d46595e39ec5da8f6661ceb3fc553a81f0a33604c00f3a4d742132326dca19c62cd32e7898fcfe89af862dfbc663b940bd4f9808a9
DIST sphinx-autodoc-typehints-1.21.3.gh.tar.gz 31362 BLAKE2B 75e32afd0d9969af5fb9bba0febb456e8c2147b6cca83e9d4737645d48408d3c5e92a482b0df1a73d8f2d9825eb9f1bcc71de9b20800447a97a1e61c88adcfff SHA512 dfd54c3c4d41a8eb6e4080a8132bc437d9ac1ab202c61938c1761ab2d2d64069f793ceb0d89ebcbc9b8dcfc425d14779ee9422c2179610731bb8f84c361401dd
DIST sphinx-autodoc-typehints-1.21.4.gh.tar.gz 32876 BLAKE2B 6adb4345cd52784b04ee11cdcc0a70189bf87ae89afa4819d0496747b416b2a5e90f0c798aff25e33b58c751475c0551833af9bbd1843da25d6649e98af24016 SHA512 2d9aa1269834be478da2bb559a695d13468f8708428b4f8ad7b15b5798eed270549f7640f435befe02e1f542e8dc73069741a714b0207394ecd120ccb2f69965
+DIST sphinx-autodoc-typehints-1.21.5.gh.tar.gz 33282 BLAKE2B 9bed01a1de3f82f5f7f2809901c51dcacc7543920950dabf3a1d7ce87e0298337b0d9779d79cbfa58b2b0bfb2ab195f9957c83fc78ffc4837023733b9cef1f46 SHA512 b111832cb266bc2d48b3c60a3725b8f625581ce30e7f0c020cab83316f6f109db60031f214b6eeef02c181da63fec4bea4cf03cadda0a2c13e44c722f174be3e
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.5.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.5.ebuild
new file mode 100644
index 000000000000..ab78fb3f4777
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-5.2.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index 3a99ccc0a67d..bcb1f9bd5eda 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,2 +1,3 @@
DIST trove-classifiers-2022.12.22.gh.tar.gz 15036 BLAKE2B ad66020fdd9c05e905df1700e5dc6f3b195d3ac50cf289e8aca9f19c4bc55cb2426f0d019a3bb2b77e9c7f095eb5f36dad97c0e8191009fed0a2faf8f47588bb SHA512 a9883775154a873f62d6fc20b090d75467a17a364459bb958a0dcef402e9b3133a791e683f74b65fa90c4601a62365eef96ade9f7eef0f7290ce1d13bae0abf0
DIST trove-classifiers-2023.1.12.gh.tar.gz 15052 BLAKE2B 35234389370f1f56e39be8b6b791e1cb00d77903ed672de6e465a0866cac968eceaf1776c102db18efaee2e6b2b48edd4c317ca95f53d6d90503c7a5f35fb21f SHA512 c56e2912f7553a8ddb0e982116cc6016ffa2bbde3714d23d1c2733dc4096d328500ae835fa4d291575e2b06ae194c5928873b925943df09e663d7f28d7d2048b
+DIST trove-classifiers-2023.1.20.gh.tar.gz 15075 BLAKE2B 04b5902c0318d495be8ef5f3602ae93d0a540f34382dd269202f4b0e6773d9c0adf023df9c45afece0ae27da8dad25d0018b602dc2a02e775c40ea73afb77195 SHA512 f99dee6f42ef3d1e42d0d1f520d882af2d430133a317de693464a526849bf6d9990307c189b5bacf2fa97c316d0c806ecfe9cfcd05a6734e79992763f597dfd2
diff --git a/dev-python/trove-classifiers/trove-classifiers-2023.1.20.ebuild b/dev-python/trove-classifiers/trove-classifiers-2023.1.20.ebuild
new file mode 100644
index 000000000000..f5b0577dcea9
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2023.1.20.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+ https://github.com/pypa/trove-classifiers/
+ https://pypi.org/project/trove-classifiers/
+"
+SRC_URI="
+ https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ dev-python/calver[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest
+ "${EPYTHON}" -m tests.lib || die
+}